Skip to main content
GET
https://checkout.dintero.com/v1
/
branding
/
profiles
/
{profile_id}
/
variant
/
{variant}
/
color
/
{color}
/
width
/
{width}
/
{template}
branding_profile
curl --request GET \
  --url https://checkout.dintero.com/v1/branding/profiles/{profile_id}/variant/{variant}/color/{color}/width/{width}/{template} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://checkout.dintero.com/v1/branding/profiles/{profile_id}/variant/{variant}/color/{color}/width/{width}/{template}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://checkout.dintero.com/v1/branding/profiles/{profile_id}/variant/{variant}/color/{color}/width/{width}/{template}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://checkout.dintero.com/v1/branding/profiles/{profile_id}/variant/{variant}/color/{color}/width/{width}/{template}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("x-api-key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://checkout.dintero.com/v1/branding/profiles/{profile_id}/variant/{variant}/color/{color}/width/{width}/{template}")
.header("x-api-key", "<api-key>")
.asString();

Authorizations

x-api-key
string
header
required

X-API-Key authentication for accessing regular endpoints. Use Create api-key to create a key.

The content of the header should look like the following:

x-api-key: {api_key}

Path Parameters

profile_id
string
required

Profile Id like P00112233.abc123def321aAabBb9z9cccDdd

variant
enum<string>
required

Image variant, multi-colors or mono-colored.

Available options:
colors,
mono
color
string
required

rgb hex color without the # character or an rbg() or rgba() color code

width
string
required

width of image

Pattern: ^[0-9]*$
template
enum<string>
required

Template for branding image

Available options:
dintero_top_frame.svg,
logos.svg

Response

svg image

Last modified on July 9, 2026